<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>JS Repetition Control Structures</title>
	<!-- bootstrap CSS -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
	<h2 class="mt-2 text-center">Repetition Control Structures</h2>
	<div class="m-5">
		<div class="row">
			<div class="col-4">
				<div class="form-group">
					<label for="task1">While Loop</label>
					<input type="number" name="task1" id="task1" class="form-control">
					<button type="submit" onclick="countUsingWhile()" class="btn btn-primary btn-block mt-5">Enter 1</button>
					<p id="message" class="text-danger"></p>
				</div>
			</div>
			<div class="col-4">
				<div class="form-group">
					<label for="task2">Do-While-Loop</label>
					<input type="number" name="" id="task2" class="form-control">
					<button type="submit" onclick="countUsingDoWhile()" class="btn btn-primary btn-block mt-5">Enter 2</button>
					<h2 class="text-danger" id="info"></h2>
				</div>
			</div>
			<div class="col-4">
				<div class="form-group">
					<label for="task3">For Loop</label>
					<input type="number" name="" id="task3" class="form-control">
					<button type="submit" onclick="countUsingForLoops()" class="btn btn-primary btn-block mt-5">Enter 3</button>
					<p class="text-muted" id="response"></p>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="form-group col-4">
				<h1>Accessing Elements of a String</h1>
				<input type="text" name="" id="userName" class="form-control" placeholder="Insert Name here">
				<button type="submit" onclick="accessElementsInString()" class="btn btn-primary btn-block mt-2">Get Letters of the Name</button>
				<p class="mt-3 text-success" id="name-length"></p>
			</div>			
			<div class="form-group col-4">
				<h1>Palindrome Checker</h1>
				<input type="text" name="word" id="word" class="form-control" placeholder="Insert word here">
				<button type="submit" onclick="palindromeChecker()" class="btn btn-primary btn-block mt-2">Detect Palindrome</button>
				<p class="mt-3" id="detectPalindrome"></p>
			</div>
			<div class="form-group col-4">
				<h1>Get All Odd Numbers</h1>
				<input type="number" name="value4" id="value4" class="form-control" placeholder="Insert Number here">
				<button type="submit" onclick="getOddNumbers()" class="btn btn-primary btn-block mt-2">Get All Odd Numbers</button>
				<p class="mt-3" id="getOddNum"></p>
			</div>
		</div>
	</div>


	<script src="./index.js"></script>
	<!-- JS Bundle -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</body>
</html>
